CVE-2024-37056

CVSS 3.1 Score 8.8 of 10 (high)

Details

Published Jun 4, 2024
CWE ID 502

Summary

CVE-2024-37056 is a vulnerability that affects the MLflow platform version 1.23.0 or newer. It allows for the deserialization of untrusted data, which can result in arbitrary code execution when interacting with a maliciously uploaded LightGBM scikit-learn model. The vulnerability has a base severity rating of HIGH, with a base score of 8.8 according to CVSS version 3.1. The exploitability score is 2.8, and it requires user interaction over a network connection. The vulnerability poses a high risk to organizations as it can lead to integrity and confidentiality impacts on an end user's system. Remediation measures should include updating the MLflow platform to a patched version that addresses this vulnerability.

Share

Explore Beyond the CVE Basics with Recorded Future's Vulnerability Intelligence

Note: This is just a basic overview providing quick insights into CVE-2024-37056 information. Gain full access to comprehensive CVE data, risk scores, prioritization, and mitigation data through Recorded Future's Vulnerability Intelligence:
  • Prioritize with Risk-Based Scoring
  • Explore the Extensive Vulnerability Database
  • Receive Early Alerts on Emerging CVEs
  • Focus on Critical Exploitable Vulnerabilities
  • Streamline Remediation with Integration Options